# QVM: Quaternions, Vectors, Matrices

### roty_mat(scalar)

#include <boost/qvm/mat_operations.hpp>

    namespace qvm
    {
        template <int Dim,class Angle>
        -unspecified-return-type- roty_mat( Angle const & angle );
    }

#### Returns:

A view proxy matrix of unspecified type, of Dim rows and Dim columns and scalar type Angle, which performs a rotation around the Y axis at angle radians.

See also: boost/qvm/mat_operations.hpp | rotate_y(mat,scalar) | set_roty(mat,scalar)